// CPanelDemoDlg.h : header file
//

#if !defined(AFX_CPANELDEMODLG_H__46385116_DB01_11D7_A570_AB38BBF4E3FB__INCLUDED_)
#define AFX_CPANELDEMODLG_H__46385116_DB01_11D7_A570_AB38BBF4E3FB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ColorItem.h"
#include "Panel.h"	// Added by ClassView
/////////////////////////////////////////////////////////////////////////////
// CCPanelDemoDlg dialog

class CCPanelDemoDlg : public CDialog
{
// Construction
public:
	CPanel tempCustomBorder;
	CPanel MainCustomBorder;
	void ZeroSpins();
	int nMaxLayer;
	CPanel OwnBorder;
	CSpinButtonCtrl* BottomSpin;
	CSpinButtonCtrl* TopSpin;
	CSpinButtonCtrl* LeftSpin;
	CSpinButtonCtrl* RightSpin;
	CSpinButtonCtrl* LayerSpin;

	CColorDialog ColorDialog;
	COLORREF cCurrentColor;
	CCPanelDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCPanelDemoDlg)
	enum { IDD = IDD_CPANELDEMO_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCPanelDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CColorItem ColorBox;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCPanelDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnColorbutton();
	afx_msg void OnDeltaposBottomspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposRightspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposTopspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposLeftspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDeltaposLayerspin(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAddlayer();
	afx_msg void OnRemovelayer();
	afx_msg void OnRemoveall();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CPANELDEMODLG_H__46385116_DB01_11D7_A570_AB38BBF4E3FB__INCLUDED_)
